# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Meta package for various libretro implementations"
HOMEPAGE="http://www.libretro.com/"
LICENSE="metapackage"
SLOT="0"
IUSE="2048 3dengine 81 atari800 bk blastem bluemsx bnes boom3 bsnes bsnes-mercury cannonball cap32 chailove citra \
	craft crocods desmume dinothawr dolphin dosbox dosbox-svn swanstation ecwolf fbalpha fbalpha2012 fbneo fceumm \
	fceu-next ffmpeg flycast fmsx freechaf freeintv frodo fuse gambatte gearboy gearsystem genesis_plus_gx \
	genesis_plus_gx_wide gme gong gpsp gw handy hatari lowresnx lutro mame2000 mame2003 mame2003_plus-libretro \
	mame2010 mame2015 mess2015 mednafen-bsnes mednafen-gba mednafen-lynx mednafen-ngp mednafen-pce \
	mednafen-pce-fast mednafen-pcfx mednafen-psx mednafen-psx-hw mednafen-saturn mednafen-supafaust \
	mednafen-supergrafx mednafen-vb mednafen-wswan melonds meowpc98 mesen mesens meteor mgba mrboom mu mupen64 \
	np2kai neocd nestopia nxengine o2em oberon opera openlara parallel_n64 pcsx-rearmed picodrive pocketcdg \
	pokemini potator ppsspp prboom prosystem puae puae2021 px68k quicknes quasi88 race retro8 reminiscence \
	sameboy scummvm smsplus snes9x snes9x2002 snes9x2005 snes9x2010 squirreljme stella2014 tgbdual tic80 theodore \
	thepowdertoy tyrquake uzem vba-next vbam vecx vemulator vice-x128 vice-x64 vice-x64sc vice-xcbm2 vice-xcbm5x0 \
	vice-xpet vice-xplus4 vice-xscpu64 vice-xvic virtualjaguar vitaquake2 vitaquake3 x1 xrick yabause"

KEYWORDS="~amd64 ~x86 ~arm64"

RDEPEND="2048? ( games-emulation/libretro-twentyfortyeight )
	3dengine? ( games-emulation/3dengine-libretro )
	81? ( games-emulation/81-libretro )
	atari800? ( games-emulation/atari800-libretro )
	bk? ( games-emulation/bk-libretro )
	blastem? ( games-emulation/blastem-libretro )
	bluemsx? ( games-emulation/bluemsx-libretro )
	bnes? ( games-emulation/libretro-bnes )
	bsnes? ( games-emulation/bsnes2014-performance-libretro )
	bsnes-mercury? ( games-emulation/bsnes-mercury-performance-libretro )
	boom3? ( games-emulation/boom3-libretro )
	cannonball? ( games-emulation/cannonball-libretro )
	cap32? ( games-emulation/cap32-libretro )
	chailove? ( games-emulation/chailove-libretro )
	citra? ( games-emulation/citra-libretro )
	craft? ( games-emulation/craft-libretro )
	crocods? ( games-emulation/crocods-libretro )
	desmume? ( games-emulation/desmume-libretro )
	dinothawr? ( games-emulation/dinothawr-libretro )
	dolphin? ( games-emulation/dolphin-libretro )
	dosbox? ( games-emulation/libretro-dosbox )
	dosbox-svn? ( games-emulation/dosbox-svn-libretro )
	swanstation? ( games-emulation/swanstation-libretro )
	ecwolf? ( games-emulation/ecwolf-libretro )
	fbalpha? ( games-emulation/fbalpha-libretro )
	fbalpha2012? ( games-emulation/fbalpha2012-libretro )
	fbneo? ( games-emulation/fbneo-libretro )
	fceumm? ( games-emulation/libretro-fceumm )
	fceu-next? ( games-emulation/fceu-next-libretro )
	ffmpeg? ( games-emulation/ffmpeg-libretro )
	flycast? ( games-emulation/flycast-libretro )
	fmsx? ( games-emulation/fmsx-libretro )
	freechaf? ( games-emulation/freechaf-libretro )
	freeintv? ( games-emulation/freeintv-libretro )
	frodo? ( games-emulation/frodo-libretro )
	fuse? ( games-emulation/fuse-libretro )
	gambatte? ( games-emulation/gambatte-libretro )
	gearboy? ( games-emulation/gearboy-libretro )
	gearsystem? ( games-emulation/gearsystem-libretro )
	genesis_plus_gx? ( games-emulation/genesis_plus_gx-libretro )
	genesis_plus_gx_wide? ( games-emulation/genesis_plus_gx_wide-libretro )
	gme? ( games-emulation/gme-libretro )
	gong? ( games-emulation/gong-libretro )
	gpsp? ( games-emulation/gpsp-libretro )
	gw? ( games-emulation/gw-libretro )
	handy? ( games-emulation/handy-libretro )
	hatari? ( games-emulation/hatari-libretro )
	lowresnx? ( games-emulation/lowresnx-libretro )
	lutro? ( games-emulation/lutro-libretro )
	mame2000? ( games-emulation/mame2000-libretro )
	mame2003? ( games-emulation/mame2003-libretro )
	mame2003_plus-libretro? ( games-emulation/mame2003_plus-libretro )
	mame2010? ( games-emulation/mame2010-libretro )
	mame2015? ( games-emulation/mame2015-libretro )
	mess2015? ( games-emulation/mess2015-libretro )
	mednafen-bsnes? ( games-emulation/mednafen-bsnes-libretro )
	mednafen-gba? ( games-emulation/mednafen-gba-libretro )
	mednafen-lynx? ( games-emulation/mednafen-lynx-libretro )
	mednafen-ngp? ( games-emulation/mednafen-ngp-libretro )
	mednafen-pce-fast? ( games-emulation/mednafen-pce-fast-libretro )
	mednafen-pce? ( games-emulation/mednafen-pce-libretro )
	mednafen-pcfx? ( games-emulation/mednafen-pcfx-libretro )
	mednafen-psx? ( games-emulation/mednafen-psx-libretro )
	mednafen-psx-hw? ( games-emulation/mednafen-psx-hw-libretro )
	mednafen-saturn? ( games-emulation/mednafen-saturn-libretro )
	mednafen-supafaust? ( games-emulation/mednafen-supafaust-libretro )
	mednafen-supergrafx? ( games-emulation/mednafen-supergrafx-libretro )
	mednafen-vb? ( games-emulation/mednafen-vb-libretro )
	mednafen-wswan? ( games-emulation/mednafen-wswan-libretro )
	melonds? ( games-emulation/melonds-libretro )
	meowpc98? ( games-emulation/meowpc98-libretro )
	mesen? ( games-emulation/mesen-libretro )
	mesens? ( games-emulation/mesens-libretro )
	meteor? ( games-emulation/meteor-libretro )
	mgba? ( games-emulation/mbga[libretro] )
	mrboom? ( games-emulation/mrboom-libretro )
	mu? ( games-emulation/mu-libretro )
	mupen64? ( games-emulation/mupen64next-libretro )
	nestopia? ( games-emulation/libretro-nestopia )
	neocd? ( games-emulation/neocd-libretro )
	np2kai? ( games-emulation/np2kai-libretro )
	nxengine? ( games-emulation/nxengine-libretro )
	o2em? ( games-emulation/o2em-libretro )
	oberon? ( games-emulation/oberon-libretro )
	openlara? ( games-emulation/openlara-libretro )
	opera? ( games-emulation/opera-libretro )
	parallel_n64? ( games-emulation/parallel_n64-libretro )
	pcsx-rearmed? ( games-emulation/pcsx-rearmed-libretro )
	picodrive? ( games-emulation/picodrive-libretro )
	pocketcdg? ( games-emulation/pocketcdg-libretro )
	pokemini? ( games-emulation/pokemini-libretro )
	potator? ( games-emulation/potator-libretro )
	ppsspp? ( games-emulation/ppsspp-libretro )
	prboom? ( games-emulation/prboom-libretro )
	prosystem? ( games-emulation/prosystem-libretro )
	puae? ( games-emulation/puae-libretro )
	puae2021? ( games-emulation/puae2021-libretro )
	px68k? ( games-emulation/px68k-libretro )
	quasi88? ( games-emulation/quasi88-libretro )
	quicknes? ( games-emulation/quicknes-libretro )
	race? ( games-emulation/race-libretro )
	retro8? ( games-emulation/retro8-libretro )
	reminiscence? ( games-emulation/reminiscence-libretro )
	sameboy? ( games-emulation/sameboy-libretro )
	scummvm? ( games-emulation/scummvm-libretro )
	smsplus? ( games-emulation/smsplus-libretro )
	snes9x? ( games-emulation/libretro-snes9x )
	snes9x2002? ( games-emulation/snes9x2002-libretro )
	snes9x2005? ( games-emulation/snes9x2005-libretro )
	snes9x2010? ( games-emulation/snes9x2010-libretro )
	squirreljme? ( games-emulation/squirreljme-libretro )
	stella2014? ( games-emulation/stella2014-libretro )
	tgbdual? ( games-emulation/tgbdual-libretro )
	tic80? ( games-emulation/tic80-libretro )
	theodore? ( games-emulation/theodore-libretro )
	thepowdertoy? ( games-emulation/thepowdertoy-libretro )
	tyrquake? ( games-emulation/tyrquake-libretro )
	uzem? ( games-emulation/uzem-libretro )
	vba-next? ( games-emulation/vba-next-libretro )
	vbam? ( games-emulation/vbam-libretro )
	vecx?  ( games-emulation/vecx-libretro )
	vemulator? ( games-emulation/vemulator-libretro )
	vice-x128? ( games-emulation/vice-x128-libretro )
	vice-x64? ( games-emulation/vice-x64-libretro )
	vice-x64sc? ( games-emulation/vice-x64sc-libretro )
	vice-xcbm2? ( games-emulation/vice-xcbm2-libretro )
	vice-xcbm5x0? ( games-emulation/vice-xcbm5x0-libretro )
	vice-xpet? ( games-emulation/vice-xpet-libretro )
	vice-xplus4? ( games-emulation/vice-xplus4-libretro )
	vice-xscpu64? ( games-emulation/vice-xscpu64-libretro )
	vice-xvic? ( games-emulation/vice-xvic-libretro )
	virtualjaguar? ( games-emulation/virtualjaguar-libretro )
	vitaquake2? ( games-emulation/vitaquake2-libretro )
	vitaquake3? ( games-emulation/vitaquake3-libretro )
	x1? ( games-emulation/x1-libretro )
	xrick? ( games-emulation/xrick-libretro )
	yabause? ( games-emulation/yabause-libretro )"
DEPEND=""
